linux compile error

Trying to build your own version of Vega Strike and having problems? Unix users, paste your config.log here (stderr output alone is not helpful).

linux compile error

Postby ekacpuc » Tue Mar 03, 2015 1:15 am

I haven't ran linux in a long time and just got the newest version of linux mint. Tried to compile it and here's what happens:
ekacpuc@ekacpuc-Latitude-D630 ~/vegastrike-src-0.5.1.r1 $ make
make all-am
make[1]: Entering directory `/home/ekacpuc/vegastrike-src-0.5.1.r1'
depbase=`echo src/cmd/ai/hard_coded_scripts.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if g++ -DHAVE_CONFIG_H -I. -I. -I. -DBOOST_PYTHON_NO_PY_SIGNATURES -DBOOST_PYTHON_STATIC_LIB -I./boost/1_45 -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_AL=1 -DHAVE_OGG -DNV_CUBE_MAP=1 -I./src -pipe -DNV_CUBE_MAP -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -pthread -MT src/cmd/ai/hard_coded_scripts.o -MD -MP -MF "$depbase.Tpo" -c -o src/cmd/ai/hard_coded_scripts.o src/cmd/ai/hard_coded_scripts.cpp; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
In file included from ./src/python/python_class.h:11:0,
from src/cmd/ai/hard_coded_scripts.cpp:2:
./src/cs_python.h:24:20: fatal error: Python.h: No such file or directory
#include <Python.h>
^
compilation terminated.
make[1]: *** [src/cmd/ai/hard_coded_scripts.o] Error 1
make[1]: Leaving directory `/home/ekacpuc/vegastrike-src-0.5.1.r1'
make: *** [all] Error 2





Any ideas? I've searched but couldn't find an answer. I don't know what a config log is so I didn't paste it..
ekacpuc
Star Pilot
Star Pilot
 
Posts: 5
Topics: 1
Joined: Tue Mar 03, 2015 1:01 am

Share On:

Share on Facebook Facebook Share on Twitter Twitter Share on Digg Digg

Re: linux compile error

Postby CLoneWolf » Tue Mar 03, 2015 8:29 am

In "debworld", Python.h is in libpythonX.Y-dev (X.Y being the python version)
Linux Mint has a libpython-dev package ( http://community.linuxmint.com/software ... python-dev ) which pulls the actual current version package, try installing it.
CLoneWolf
ISO Party Member
ISO Party Member
 
Posts: 442
Topics: 9
Joined: Thu May 01, 2008 10:14 am

Re: linux compile error

Postby Eye~R » Tue Mar 03, 2015 5:02 pm

17's Repo's don't seem to feature VS - I've not found out why yet, but 'buntu's 14.10 does, and might be able to use gdebi(or install from double click) on that. For future dependency issues when building things, ½ the time synaptic will be able to locate it.
Multiplayer Server Online.
User Signup
Server Health

If you have any issues you can usually find me in #vegastrike on freenode.
User avatar
Eye~R
Merchant
Merchant
 
Posts: 62
Topics: 2
Joined: Sat Jan 18, 2014 10:02 pm

Re: linux compile error

Postby loki1950 » Tue Mar 03, 2015 8:34 pm

I have had no problems building under Mint 17.1 which is a 'buntu 14 derivative just make sure you have the dev .debs for each of the dependencies that was all I had to do.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 18/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and DELL E6400 4GB ram/100 GB HD Mint 17.3 6
User avatar
loki1950
The Shepherd
 
Posts: 5708
Topics: 51
Joined: Fri May 13, 2005 1:37 pm
Location: Ottawa

Re: linux compile error

Postby ekacpuc » Tue Mar 03, 2015 11:57 pm

I went to the link and it wouldn't download because I already have it.

I've searched and downloaded every dependency I could find and no luck...

Been working on this a couple days :(
ekacpuc
Star Pilot
Star Pilot
 
Posts: 5
Topics: 1
Joined: Tue Mar 03, 2015 1:01 am

Re: linux compile error

Postby ekacpuc » Wed Mar 04, 2015 12:46 am

had to move a duplicate to usr/include

Got a new error. I'll search it but it says (over and over)

Unit file Robin.stock not found
+++ m/ship_upgrades.py:171 Python Upgrade Error: finding upgrades/Ammunition using upgrades/Ammunition instead
+++ m/ship_upgrades.py:174 Python Upgrade Error: category upgrades/Ammunition -- getting random instead
+++ m/ship_upgrades.py:171 Python Upgrade Error: finding upgrades/Ammunition using upgrades/Ammunition instead
+++ m/ship_upgrades.py:174 Python Upgrade Error: category upgrades/Ammunition -- getting random instead
+++ m/ship_upgrades.py:171 Python Upgrade Error: finding upgrades/Ammunition using upgrades/Ammunition instead
+++ m/ship_upgrades.py:174 Python Upgrade Error: category upgrades/Ammunition -- getting random instead
+++ m/ship_upgrades.py:171 Python Upgrade Error: finding upgrades/Ammunition using upgrades/Ammunition instead
+++ m/ship_upgrades.py:174 Python Upgrade Error: category upgrades/Ammunition -- getting random instead
+++ m/ship_upgrades.py:171 Python Upgrade Error: finding upgrades/Ammunition using upgrades/Ammunition instead
+++ m/ship_upgrades.py:174 Python Upgrade Error: category upgrades/Ammunition -- getting random instead
Killed
ekacpuc
Star Pilot
Star Pilot
 
Posts: 5
Topics: 1
Joined: Tue Mar 03, 2015 1:01 am

Re: linux compile error

Postby loki1950 » Wed Mar 04, 2015 8:38 am

That error is normal caused when NPC ships are spawned and the ship_upgrade random function gets a non valid output.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 18/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and DELL E6400 4GB ram/100 GB HD Mint 17.3 6
User avatar
loki1950
The Shepherd
 
Posts: 5708
Topics: 51
Joined: Fri May 13, 2005 1:37 pm
Location: Ottawa

Re: linux compile error

Postby ekacpuc » Wed Mar 04, 2015 3:11 pm

so how do you fix that?
ekacpuc
Star Pilot
Star Pilot
 
Posts: 5
Topics: 1
Joined: Tue Mar 03, 2015 1:01 am

Re: linux compile error

Postby loki1950 » Wed Mar 04, 2015 4:06 pm

The random function itself needs to be refactored so it does not pick inappropriate items like an engine for the gun mounts ;) and it has been an issue for years and has no effect on the game play at all so it is a very low priority bug.Rewriting it so those errors don't occur will increase it's complexity and most likely be just as buggy so till we have the people that understand Python and the logic of that module there is not much to do it is really a warning as the function repeats till the result is valid.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 18/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and DELL E6400 4GB ram/100 GB HD Mint 17.3 6
User avatar
loki1950
The Shepherd
 
Posts: 5708
Topics: 51
Joined: Fri May 13, 2005 1:37 pm
Location: Ottawa

Re: linux compile error

Postby ekacpuc » Wed Mar 04, 2015 9:14 pm

loki1950 wrote:The random function itself needs to be refactored so it does not pick inappropriate items like an engine for the gun mounts ;) and it has been an issue for years and has no effect on the game play at all so it is a very low priority bug.Rewriting it so those errors don't occur will increase it's complexity and most likely be just as buggy so till we have the people that understand Python and the logic of that module there is not much to do it is really a warning as the function repeats till the result is valid.

Enjoy the Choice :)



Oh. The game just closes for me. I open it from terminal after it closes I see that error in the terminal. So I must have some other problem then? Here pretty soon I'll just have to pass on trying to get the game to work. I didn't plan on playing anything until I saw vegastrike.
ekacpuc
Star Pilot
Star Pilot
 
Posts: 5
Topics: 1
Joined: Tue Mar 03, 2015 1:01 am

Re: linux compile error

Postby loki1950 » Wed Mar 04, 2015 10:30 pm

Please run the game from a terminal and post the full output from the crash I can usually find the problem but need the full context for that if it is crashing the error you posted does not do that so it must be something else.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 18/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and DELL E6400 4GB ram/100 GB HD Mint 17.3 6
User avatar
loki1950
The Shepherd
 
Posts: 5708
Topics: 51
Joined: Fri May 13, 2005 1:37 pm
Location: Ottawa

Re: linux compile error

Postby ermo » Fri Apr 03, 2015 8:30 am

Any chance that python3.4 can become the official supported py3 version in the VS CMake build files? The 3.4 branch is a year old and e.g. Ubuntu 14.04 LTS and OpenSUSE 13.2 both ship py3.4?

Having to manually hack the CMake files just to get the damn thing to compile and run with py34 on newer distros is sort of user-unfriendly. That said, I don't have the CMake foo to do a proper patch -- I've just hacked my configuration to do the right thing on fedora 21. I've attached a patch, but I doubt that it'll pass muster for official inclusion. At least it serves as an example for future would-be VS users/devs...

Note that the patch I have attached also enables force feedback.
Attachments
CMakeLists.txt.py34.patch
CMakeLists.txt python34 changes on fedora 21
(2.92 KiB) Downloaded 62 times
Privateer: Wing Commander Universe -- the continuation of chuck_starchaser's Privateer: Parallel Universe mod.
ermo
Mercenary
Mercenary
 
Posts: 104
Topics: 5
Joined: Tue Oct 30, 2012 12:46 pm

Re: linux compile error

Postby TBeholder » Tue Apr 07, 2015 5:23 am

Yup, it's all a little moth-biten. I just fixed paths in ccmake
Code: Select all
PYTHON_INCLUDE_DIR               /usr/include/python2.7
and so on
"Two Eyes Good, Eleven Eyes Better." -Michele Carter
User avatar
TBeholder
Elite Venturer
Elite Venturer
 
Posts: 732
Topics: 38
Joined: Fri Apr 14, 2006 7:40 pm
Location: chthonic safety



Return to Compiling Problems [paste config.log]

Who is online

Users browsing this forum: No registered users and 1 guest

cron